package com.jeeplus.modules.sg.project.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.project.entity.WbsItem;
import com.jeeplus.modules.sg.project.entity.WbsProject;
import com.jeeplus.modules.sg.project.entity.WbsSelection;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface ItemMapper extends BaseMapper<WbsItem> {
    List<WbsItem> getList(WbsProject wbsProject);
    int insert(WbsItem wbsItem);

    //根据名称获取项目
    List<WbsItem> findItemByName(@Param("itemName")String itemName,@Param("projectId") String projectId);

    //删除项目
    Integer updateItem(WbsItem wbsItem);

    /**
     * 根据工程id删除
     * @param parentId 工程id
     * @return
     */
    Integer deleteItem(String parentId);

    /**
     * 根据项目id删除结算
     */
    Integer deleteCount(String itemId);

    /**
     * 根据项目id删除 其他项目
     */
    Integer deleteAdjust(String itemId);

    /**
     * 根据项目id删除 差额
     */
    Integer deleteDetail(String itemId);

    //查找工程下所有项目
    List<WbsItem> findItem(String parentId);

    /**
     * 根据id查找当前所有项目
     */
    WbsItem findItemById(String id);
}
